package com.hfkj.service.discount;

import com.hfkj.entity.BsDiscountPkRel;

import java.util.List;
import java.util.Map;

/**
 * @className: BsDiscountPkRelService
 * @author: HuRui
 * @date: 2024/9/2
 **/
public interface BsDiscountPkRelService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsDiscountPkRel data);

    /**
     * 删除
     * @param discountPkNo
     */
    void delete(String discountPkNo);

    /**
     * 查询列表
     * @param discountPkNo
     * @return
     */
    List<BsDiscountPkRel> getList(String discountPkNo);
}
